Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portletservice.credentialvault.credentials
Class PassiveCredential

    java.lang.Object
      com.ibm.wps.portletservice.credentialvault.credentials.Credential
          com.ibm.wps.portletservice.credentialvault.credentials.PassiveCredential

All Implemented Interfaces:
  Credential, PassiveCredential, java.io.Serializable

Direct Known Subclasses:
  BinaryPassiveCredential, JaasSubjectPassiveCredential, SimplePassiveCredential, UserPasswordPassiveCredential

Deprecated. since 6.0. Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public abstract class PassiveCredential

extends Credential
implements PassiveCredential

A PassiveCredential is simply a container for an user's secret. The portlet extracts the secret out of the credential and does all the authentication (communication) at the backend itself. This credential type is a fallback for those cases in which no active credential is provided (e.g. because the backend's authentication protocol is too specific). Preconditions:

- The configuration data passed to the constructor must define following values: KEY_USER_SECRET

Since:
  WP 5.1.0.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.wps.portletservice.credentialvault.credentials.Credential
`LOGGER_NAME, secret`

Fields inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`KEY_CREDENTIAL_SECRET`

Constructor Summary
`PassiveCredential()` Deprecated.

Method Summary
`boolean` | `isActive()` Deprecated. Returns whether a credential is active or passive.

Methods inherited from class com.ibm.wps.portletservice.credentialvault.credentials.Credential
`checkInitialized, getSecretType, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`getSecretType, init`

Constructor Detail

### PassiveCredential

    public PassiveCredential()

  Deprecated.

Method Detail

### isActive

    public final boolean isActive()

  Deprecated.
  Returns whether a credential is active or passive.

  Specified by:
    `isActive` in interface `Credential`
  Specified by:
    `isActive` in interface `PassiveCredential`
  Overrides:
    `isActive` in class `Credential`
  Returns:
    boolean Always returns false
  See Also:
    `PassiveCredential`, `ActiveCredential`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD